=== debian/changelog ===
ros-crystal-depth-image-proc (2.0.0-0bionic) bionic; urgency=high

  * enable rclcpp_register_node_plugins (#368 <https://github.com/ros-perception/image_pipeline/issues/368>)
    this may be remarked while code debugging, should be enabled to build node plugin file
    and added points remap in point_cloud_xyzrgb.launch.py
  * Port depth image proc on ROS2 (#362 <https://github.com/ros-perception/image_pipeline/issues/362>)
    * Port depth_image_proc on ROS2
    * Port depth_image_proc of image_pipeline on ROS2
    * rename Nodelets as Node
    * add launch examples, such as "ros2 launch depth_image_proc point_cloud_xyzi.launch.py"
    * verified point_cloud_xyzrgb, point_cloud_xyz, convert_metric based on Realsense camera(https://github.com/intel/ros2_intel_realsense).
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
    * add ament_lint_auto test and adjust code style
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
    * update test example for depth_image_proc
    - rename raw topic as image_transport fixed the issue (https://github.com/ros-perception/image_common/issues/96)
    - update test example of point_cloud_xyzrgb.launch
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
    * remove unused dependence in cmakelist
    * remove boost which is unused on ROS2
    * remove cv_bridge version check logic as setted in find_package
    * update maintainer in package.xml
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
    * added all example launchers for demo test
    pass test:
    ros2 launch depth_image_proc point_cloud_xyzrgb.launch.py
    ros2 launch depth_image_proc point_cloud_xyz.launch.py
    ros2 launch depth_image_proc convert_metric.launch.py
    ros2 launch depth_image_proc crop_foremost.launch.py
    ros2 launch depth_image_proc point_cloud_xyz_radial.launch.py
    ros2 launch depth_image_proc disparity.launch.py
    ros2 launch depth_image_proc register.launch.py
    ros2 launch depth_image_proc point_cloud_xyzi.launch.py
    ros2 launch depth_image_proc point_cloud_xyzi_radial.launch.py
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
    * @wip update to use raw pointers.
    * continue to update to use raw pointer
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Initial ROS2 commit.
  * Contributors: Chris Ye, Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 09 Dec 2018 06:00:00 -0000

ros-crystal-depth-image-proc (1.12.23-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-crystal-depth-image-proc (1.12.22-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-crystal-depth-image-proc (1.12.21-0bionic) bionic; urgency=high

  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-crystal-depth-image-proc (1.12.20-0bionic) bionic; urgency=high

  * Fix CMake warnings about Eigen.
  * Convert depth image metric from [m] to [mm]
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Kentaro Wada, Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 05:00:00 -0000

ros-crystal-depth-image-proc (1.12.19-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 05:00:00 -0000

ros-crystal-depth-image-proc (1.12.18-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Jul 2016 05:00:00 -0000

ros-crystal-depth-image-proc (1.12.17-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 05:00:00 -0000

ros-crystal-depth-image-proc (1.12.16-0bionic) bionic; urgency=high

  * check number of channels before the process
  * search minimum value with OpenCV
  * Use OpenCV to be faster
  * Add a feature for a depth image to crop foremost image
  * Contributors: Kenta Yonekura

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 19 Mar 2016 05:00:00 -0000

ros-crystal-depth-image-proc (1.12.15-0bionic) bionic; urgency=high

  * Add option for exact time sync for point_cloud_xyzrgb
  * simplify OpenCV3 conversion
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-crystal-depth-image-proc (1.12.14-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 22 Jul 2015 05:00:00 -0000

ros-crystal-depth-image-proc (1.12.13-0bionic) bionic; urgency=high

  * Add radial point cloud processors
  * Contributors: Hunter Laux

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 06 Apr 2015 05:00:00 -0000

ros-crystal-depth-image-proc (1.12.12-0bionic) bionic; urgency=high

  * adds range_max
  * exports depth_conversions
    with convert for xyz PC only
  * exports DepthTraits
  * Contributors: enriquefernandez

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Dec 2014 06:00:00 -0000

ros-crystal-depth-image-proc (1.12.11-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Oct 2014 05:00:00 -0000

ros-crystal-depth-image-proc (1.12.10-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 28 Sep 2014 05:00:00 -0000


