=== debian/control ===
Source: ros-crystal-depth-image-proc
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-cmake-gtest, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-class-loader, ros-crystal-cv-bridge, ros-crystal-image-geometry, ros-crystal-image-transport, ros-crystal-message-filters, ros-crystal-sensor-msgs, ros-crystal-stereo-msgs, ros-crystal-tf2, ros-crystal-tf2-eigen, ros-crystal-tf2-ros, ros-crystal-ros-workspace
Homepage: http://ros.org/wiki/depth_image_proc
Standards-Version: 3.9.2

Package: ros-crystal-depth-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-cv-bridge, ros-crystal-image-geometry, ros-crystal-image-transport, ros-crystal-tf2, ros-crystal-tf2-eigen, ros-crystal-tf2-ros, ros-crystal-ros-workspace
Description: Contains nodelets for processing depth images such as those produced by OpenNI camera.
 Functions include creating disparity images and point clouds, as well as registering (reprojecting) a depth image into another camera frame.
